Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 742239 - net-mail/serialmail-0.75-r5: stabilisation then cleanup (was: stuck on EAPI 4)
Summary: net-mail/serialmail-0.75-r5: stabilisation then cleanup (was: stuck on EAPI 4)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on: 742743
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-09-13 02:51 UTC by Sam James
Modified: 2020-09-16 22:40 UTC (History)
0 users

See Also:
Package list:
net-mail/serialmail-0.75-r5 *
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-09-13 02:51:58 UTC
Please port to EAPI 7 if possible.
Comment 1 Larry the Git Cow gentoo-dev 2020-09-15 00:34:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c314cafb4bd106b0ceecf1294e71f5e9bcf6d6e

commit 8c314cafb4bd106b0ceecf1294e71f5e9bcf6d6e
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-15 00:34:22 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-15 00:34:22 +0000

    net-mail/serialmail: bump to EAPI 7
    
    Bug: https://bugs.gentoo.org/742239
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-mail/serialmail/serialmail-0.75-r5.ebuild | 52 +++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
Comment 2 Sam James archtester gentoo-dev Security 2020-09-15 00:35:30 UTC
We'll give it a few days.
Comment 3 Larry the Git Cow gentoo-dev 2020-09-16 22:40:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93aff0a56b4359a00be84937e86e5faeba3ef505

commit 93aff0a56b4359a00be84937e86e5faeba3ef505
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-16 22:40:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-16 22:40:32 +0000

    net-mail/serialmail: cleanup old EAPI 4
    
    Closes: https://bugs.gentoo.org/742239
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-mail/serialmail/serialmail-0.75-r4.ebuild | 49 ---------------------------
 1 file changed, 49 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b13a30c1c64574026f1ee0c5da2cfbb9f0253dca

commit b13a30c1c64574026f1ee0c5da2cfbb9f0253dca
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-16 22:40:02 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-16 22:40:31 +0000

    net-mail/serialmail: forward ppc, x86 stable
    
    Bug: https://bugs.gentoo.org/742239
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-mail/serialmail/serialmail-0.75-r5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)